(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     28464,        676]
NotebookOptionsPosition[     28148,        642]
NotebookOutlinePosition[     28718,        666]
CellTagsIndexPosition[     28675,        663]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\:30d9\:30af\:30c8\:30eb", "Subtitle", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 0, $CellContext`r12$$ = 
    0, $CellContext`r2$$ = 0, $CellContext`x$$ = {-2.4399999999999995`, 
    1.1000000000000005`}, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", 
    Typeset`specs$$ = {{{
       Hold[$CellContext`r1$$], 1, "\:59cb\:70b9\:3001\:7d42\:70b9"}, {0, 
      1}}, {{
       Hold[$CellContext`r2$$], 0, "\:7b49\:53f7"}, {0, 1}}, {{
       Hold[$CellContext`r12$$], 0, "\:6709\:5411\:7dda\:5206"}, {0, 1}}, {{
       Hold[$CellContext`x$$], {0, 0}}, Automatic}}, Typeset`size$$ = {
    324., {120., 123.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r1$7723$$ = 
    False, $CellContext`r2$7724$$ = False, $CellContext`r12$7725$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 1, $CellContext`r12$$ = 
        0, $CellContext`r2$$ = 0, $CellContext`x$$ = {0, 0}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`r1$$, $CellContext`r1$7723$$, False], 
        Hold[$CellContext`r2$$, $CellContext`r2$7724$$, False], 
        Hold[$CellContext`r12$$, $CellContext`r12$7725$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], {Red, 
          Arrow[{$CellContext`x$$, $CellContext`x$$ + {4, -4}}]}, {
          RGBColor[
          1 - $CellContext`r1$$, 1 - $CellContext`r1$$, 
           1 - $CellContext`r1$$], 
          Text[
           Style["\:59cb\:70b9", Large], {1, 1}]}, {
          RGBColor[
          1 - $CellContext`r1$$, 1 - $CellContext`r1$$, 
           1 - $CellContext`r1$$], 
          Text[
           Style["A", Large], {1, 2.5}]}, {
          RGBColor[
          1 - $CellContext`r1$$, 1 - $CellContext`r1$$, 
           1 - $CellContext`r1$$], 
          Text[
           Style["\:7d42\:70b9", Large], {5, -3}]}, {
          RGBColor[
          1 - $CellContext`r1$$, 1 - $CellContext`r1$$, 
           1 - $CellContext`r1$$], 
          Text[
           Style["B", Large], {5, -1}]}, {
          RGBColor[1 - $CellContext`r1$$, 1 - $CellContext`r1$$, 1], 
          PointSize[Large], 
          Point[{5, -2}], 
          Point[{1, 2}]}, {
          RGBColor[1 - $CellContext`r12$$, 1 - $CellContext`r12$$, 1], 
          Arrow[{{1, 2}, {5, -2}}]}, {
          RGBColor[1 - $CellContext`r12$$, 1 - $CellContext`r12$$, 1], 
          Text[
           Style["\:6709\:5411\:7dda\:5206", Large], {4, 2}]}, {Red, 
          Text[
           Style[
            OverVector[$CellContext`a], Large], {4, -4} 
            1.2 + $CellContext`x$$]}, {
          RGBColor[
          1 - $CellContext`r2$$, 1 - $CellContext`r2$$, 
           1 - $CellContext`r2$$], 
          Text[
           Style[
           "\!\(\*OverscriptBox[\(AB\), \
\(\[RightVector]\)]\)=\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)", 
            Large], {-3, 2}]}}, GridLines -> {
          Range[-10, 10, 1], 
          Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
        PlotRange -> {{-8, 8}, {-6, 6}}], 
      "Specifications" :> {{{$CellContext`r1$$, 1, 
          "\:59cb\:70b9\:3001\:7d42\:70b9"}, {0, 
         1}}, {{$CellContext`r2$$, 0, "\:7b49\:53f7"}, {0, 
         1}}, {{$CellContext`r12$$, 0, "\:6709\:5411\:7dda\:5206"}, {0, 
         1}}, {{$CellContext`x$$, {0, 0}}, Automatic, ControlType -> 
         Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{375., {177., 184.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:30d9\:30af\:30c8\:30eb\:306e\:548c", "Subtitle", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`s$$ = 0., $CellContext`t$$ = 
    0, $CellContext`u$$ = 0., $CellContext`x$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x$$], 0, "\:70b9\:7dda"}, {1, 0}}, {
      Hold[$CellContext`t$$], 0, 1}, {
      Hold[$CellContext`u$$], 0., 1}, {
      Hold[$CellContext`s$$], 0., 1}}, Typeset`size$$ = {324., {107., 110.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x$8751$$ = False, $CellContext`t$8752$$ = 
    0, $CellContext`u$8753$$ = 0, $CellContext`s$8754$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`s$$ = 0., $CellContext`t$$ = 
        0, $CellContext`u$$ = 0., $CellContext`x$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$8751$$, False], 
        Hold[$CellContext`t$$, $CellContext`t$8752$$, 0], 
        Hold[$CellContext`u$$, $CellContext`u$8753$$, 0], 
        Hold[$CellContext`s$$, $CellContext`s$8754$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], {Green, 
          
          Arrow[{$CellContext`t$$ {2, -2}, $CellContext`t$$ {2, -2} + {2, 
             3}}]}, {Red, 
          
          Arrow[{$CellContext`u$$ {2, 3}, {
             2, -2} + $CellContext`u$$ {2, 3}}], {Blue, 
           Arrow[{{0, 0}, $CellContext`s$$ ({2, -2} + {2, 3})}]}}, Green, 
         Text[
          Style[
           OverVector[$CellContext`b], Large], {2, 3} + 
          0.4 (Dot[{{0, 1}, {-1, -1}}, {0, 5}]/5) + $CellContext`t$$ {2, -2}],
          Red, 
         Text[
          Style[
           OverVector[$CellContext`a], Large], {2, -2} + 
          Dot[{{0, -1}, {1, 0}}, {0, 5}]/5 + $CellContext`u$$ {2, 3}], Black, 
         Thickness[0.004], Dotted, 
         If[$CellContext`x$$ == 1, 
          Line[{{2, -2}, {4, 1}}]], 
         If[$CellContext`x$$ == 1, 
          Line[{{2, 3}, {4, 1}}]], Blue, 
         If[$CellContext`s$$ < 1, 
          Text[" ", {0, 0}], 
          Text[
           Style[
           OverVector[$CellContext`a] + OverVector[$CellContext`b], 
            Large], {4, 1} 1.5 + Dot[{{0, -1}, {1, 0}}, {0, 5}]/5]]}, 
        GridLines -> {
          Range[-6, 6, 1], 
          Range[-4, 4, 1]}, GridLinesStyle -> Dotted, 
        PlotRange -> {{-6, 6}, {-4, 4}}], 
      "Specifications" :> {{{$CellContext`x$$, 0, "\:70b9\:7dda"}, {1, 
         0}}, {$CellContext`t$$, 0, 1}, {$CellContext`u$$, 0., 
         1}, {$CellContext`s$$, 0., 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{369., {182., 189.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:96f6\:30d9\:30af\:30c8\:30eb\:3001\:9006\:30d9\:30af\:30c8\:30eb\
\[LineSeparator]", "Subtitle", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r$$ = 0, $CellContext`r1$$ = 
    0, $CellContext`x$$ = {-2, -2}, $CellContext`y$$ = {-4, 4}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", 
    Typeset`specs$$ = {{{
       Hold[$CellContext`r$$], 0, "\:9006\:30d9\:30af\:30c8\:30eb"}, {0, 
      1}}, {{
       Hold[$CellContext`r1$$], 0, 
       "\!\(\*OverscriptBox[\(\(a\)\(\[IndentingNewLine]\)\n \), \(\
\[RightVector]\)]\)+(-\!\(\*OverscriptBox[\(\(a\)\(\[IndentingNewLine]\)\n \
\), \(\[RightVector]\)]\))=\!\(\*OverscriptBox[\(\(0\)\(\[IndentingNewLine]\)\
\n \), \(\[RightVector]\)]\)"}, {0, 1}}, {{
       Hold[$CellContext`x$$], {-2, -2}}, Automatic}, {{
       Hold[$CellContext`y$$], {-4, 4}}, Automatic}}, Typeset`size$$ = {
    324., {120., 123.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r$574$$ = 
    False, $CellContext`r1$575$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r$$ = 0, $CellContext`r1$$ = 
        0, $CellContext`x$$ = {-2, -2}, $CellContext`y$$ = {-4, 4}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`r$$, $CellContext`r$574$$, False], 
        Hold[$CellContext`r1$$, $CellContext`r1$575$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], 
         If[Norm[$CellContext`x$$] > 0.2, {Red, 
           Arrow[{{0, 0}, $CellContext`x$$}]}, {
           RGBColor[0, 0, 1], 
           Text[
            Style[
            "\!\(\*OverscriptBox[\(a\), \
\(\[RightVector]\)]\)=\!\(\*OverscriptBox[\(0\), \(\[RightVector]\)]\)", 
             Large], {4, 2}]}], 
         If[$CellContext`r1$$ == 1, 
          Text[
           Style[
           "\!\(\*OverscriptBox[\(\(a\)\(\[IndentingNewLine]\)\n \), \(\
\[RightVector]\)]\)+(-\!\(\*OverscriptBox[\(\(a\)\(\[IndentingNewLine]\)\n \
\), \(\[RightVector]\)]\))=\!\(\*OverscriptBox[\(0\), \(\[RightVector]\)]\)", 
            Large], {4, 4}]], {
          RGBColor[1 - $CellContext`r$$, 1 - $CellContext`r$$, 1], 
          Arrow[{$CellContext`y$$, $CellContext`y$$ - $CellContext`x$$}], 
          Text[
           
           Style[-OverVector[$CellContext`a], 
            Large], $CellContext`y$$ + $CellContext`x$$/
            Norm[$CellContext`x$$]]}, {
          PointSize[Large], 
          Point[{0, 0}], 
          Point[$CellContext`x$$]}, {Red, 
          Text[
           Style[
            OverVector[$CellContext`a], Large], -($CellContext`x$$/
            Norm[$CellContext`x$$])]}}, GridLines -> {
          Range[-10, 10, 1], 
          Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
        PlotRange -> {{-8, 8}, {-6, 6}}], 
      "Specifications" :> {{{$CellContext`r$$, 0, 
          "\:9006\:30d9\:30af\:30c8\:30eb"}, {0, 
         1}}, {{$CellContext`r1$$, 0, 
          "\!\(\*OverscriptBox[\(\(a\)\(\[IndentingNewLine]\)\n \), \(\
\[RightVector]\)]\)+(-\!\(\*OverscriptBox[\(\(a\)\(\[IndentingNewLine]\)\n \
\), \(\[RightVector]\)]\))=\!\(\*OverscriptBox[\(\(0\)\(\[IndentingNewLine]\)\
\n \), \(\[RightVector]\)]\)"}, {0, 1}}, {{$CellContext`x$$, {-2, -2}}, 
         Automatic, ControlType -> Locator}, {{$CellContext`y$$, {-4, 4}}, 
         Automatic, ControlType -> Locator}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{375., {169., 176.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:30d9\:30af\:30c8\:30eb\:306e\:5b9f\:6570\:500d", "Subtitle", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[TextData[{
 "\:554f\:3000   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"2", 
     OverscriptBox["a", "\[RightVector]"]}], "\:3001", 
    RowBox[{
     RowBox[{"-", "2"}], 
     OverscriptBox["a", "\[RightVector]"]}], "\:3001", 
    RowBox[{
     FractionBox["3", "2"], 
     OverscriptBox["a", "\[RightVector]"], 
     "\:3092\:4f5c\:56f3\:3057\:306a\:3055\:3044"}], "\:3002"}], 
   TraditionalForm]]]
}], "Subsubtitle", "PluginEmbeddedContent",
 FontSize->18,
 Background->RGBColor[0.94, 0.91, 0.88]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r$$ = 1, $CellContext`x$$ = {0, 0}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", 
    Typeset`specs$$ = {{{
       Hold[$CellContext`r$$], 1, 
       "r\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)"}, {0, 
       Rational[1, 2], 1, 
       Rational[3, 2], 2, -1, -2}}, {{
       Hold[$CellContext`x$$], {0, 0}}, Automatic}}, Typeset`size$$ = {
    324., {120., 123.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r$3409$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r$$ = 1, $CellContext`x$$ = {0, 0}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`r$$, $CellContext`r$3409$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[{Arrowheads -> Large, 
          Thickness[0.009], {Blue, 
           
           Arrow[{$CellContext`x$$, $CellContext`x$$ + {
              2 $CellContext`r$$, (-2) $CellContext`r$$}}]}, {Red, 
           Arrow[{{0, 0}, {2, -2}}]}, {Blue, 
           Text[
            
            Style[$CellContext`r$$ OverVector[$CellContext`a], 
             Large], $CellContext`x$$ + ($CellContext`r$$ 1.2) {2, -2}]}, {
          Red, 
           Text[
            Style[
             OverVector[$CellContext`a], Large], {2, -2} 1.2]}}, GridLines -> {
           Range[-10, 10, 1], 
           Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
         PlotRange -> {{-8, 8}, {-6, 6}}]], 
      "Specifications" :> {{{$CellContext`r$$, 1, 
          "r\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)"}, {0, 
          Rational[1, 2], 1, 
          Rational[3, 2], 2, -1, -2}}, {{$CellContext`x$$, {0, 0}}, Automatic,
          ControlType -> Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{375., {169., 176.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:30d9\:30af\:30c8\:30eb\:306e\:5dee", "Subtitle", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`s$$ = 0., $CellContext`t$$ = 
    0, $CellContext`u$$ = 0., $CellContext`x$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x$$], 0, 
       "-\!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\)"}, {1, 0}}, {
      Hold[$CellContext`t$$], 0, -0.2}, {
      Hold[$CellContext`u$$], 0., 1}, {
      Hold[$CellContext`s$$], 0., 1}}, Typeset`size$$ = {324., {107., 110.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x$9548$$ = False, $CellContext`t$9549$$ = 
    0, $CellContext`u$9550$$ = 0, $CellContext`s$9551$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`s$$ = 0., $CellContext`t$$ = 
        0, $CellContext`u$$ = 0., $CellContext`x$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$9548$$, False], 
        Hold[$CellContext`t$$, $CellContext`t$9549$$, 0], 
        Hold[$CellContext`u$$, $CellContext`u$9550$$, 0], 
        Hold[$CellContext`s$$, $CellContext`s$9551$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], {Green, 
          
          Arrow[{(4 $CellContext`t$$) {
             3, -1}, (4 $CellContext`t$$) {3, -1} + {2, 3}}]}, {Red, 
          
          Arrow[{$CellContext`u$$ {2, 3}, {
             3, -1} + $CellContext`u$$ {2, 3}}], {Blue, 
           Arrow[{{2, 3}, {2, 3} + $CellContext`s$$ ({3, -1} - {2, 3})}]}}, 
         Green, 
         Text[
          Style[
           OverVector[$CellContext`b], Large], {2, 3} + 
          1.1 (Dot[{{0, -1}, {1, 0}}, {-1, 4}]/4) + (4 $CellContext`t$$) {
            3, -1}], Red, 
         Text[
          Style[
           OverVector[$CellContext`a], Large], {3, -1} + 
          1.7 (Dot[{{0, -1}, {1, 0}}, {-1, 4}]/6) + $CellContext`u$$ {2, 3}], 
         If[$CellContext`x$$ == 1, {
           Thickness[0.009], Black, 
           Arrow[{{2, 3}, {0, 0}}]}], 
         If[$CellContext`x$$ == 1, {Black, 
           Text[
            Style[-OverVector[$CellContext`b], Large], {2, 3}/2 + 
            1 (Dot[{{0, -1}, {1, 0}}, {-1, 4}]/4)]}], Blue, 
         If[$CellContext`s$$ < 1, 
          Text[" ", {0, 0}], 
          Text[
           Style[
           OverVector[$CellContext`a] - OverVector[$CellContext`b], Large], {
            2, 3} + ({3, -1} - {2, 3}) 0.5 + 
           Dot[{{0, 1}, {-1, 0}}, {-1, 4}]/4]]}, GridLines -> {
          Range[-6, 6, 1], 
          Range[-4, 4, 1]}, GridLinesStyle -> Dotted, 
        PlotRange -> {{-6, 6}, {-4, 4}}], 
      "Specifications" :> {{{$CellContext`x$$, 0, 
          "-\!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\)"}, {1, 
         0}}, {$CellContext`t$$, 0, -0.2}, {$CellContext`u$$, 0., 
         1}, {$CellContext`s$$, 0., 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{369., {182., 189.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:30d9\:30af\:30c8\:30eb\:306e\:548c\:30fb\:5dee\:30fb\:5b9f\:6570\:500d\
", "Subtitle", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[TextData[{
 "\:554f\:3000   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     OverscriptBox["a", "\[RightVector]"], "+", 
     RowBox[{"2", 
      OverscriptBox["b", "\[RightVector]"]}]}], "\:3001", 
    RowBox[{
     RowBox[{"2", 
      OverscriptBox["a", "\[RightVector]"]}], "-", 
     RowBox[{"2", 
      OverscriptBox["b", "\[RightVector]"]}]}], "\:3001", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], 
      OverscriptBox["a", "\[RightVector]"]}], "-", 
     RowBox[{
      FractionBox["3", "2"], 
      OverscriptBox["b", "\[RightVector]"], 
      "\:3092\:4f5c\:56f3\:3057\:306a\:3055\:3044"}]}], "\:3002"}], 
   TraditionalForm]]]
}], "Subsubtitle", "PluginEmbeddedContent",
 FontSize->18,
 Background->RGBColor[0.94, 0.91, 0.88]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`s$$ = 1, $CellContext`t$$ = 
    1, $CellContext`x$$ = 0, $CellContext`x1$$ = {0, 0}, $CellContext`x2$$ = {
    0, 0}, $CellContext`x3$$ = {0, 0}, $CellContext`x4$$ = {0, 
    0}, $CellContext`x5$$ = {0, 0}, $CellContext`y$$ = 0, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`s$$], 1, 
       "s \!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)"}, {0, 
       Rational[1, 2], 1, 
       Rational[3, 2], 2, -1, -2}}, {{
       Hold[$CellContext`t$$], 1, 
       "t \!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\)"}, {0, 
       Rational[1, 2], 1, 
       Rational[3, 2], 2, -1, -2}}, {{
       Hold[$CellContext`x$$], 0, "\:70b9\:7dda"}, {1, 0}}, {{
       Hold[$CellContext`y$$], 0, 
       "s \!\(\*OverscriptBox[\(\(\\ \)\(a\)\), \(\[RightVector]\)]\)+t  \!\(\
\*OverscriptBox[\(b\), \(\[RightVector]\)]\)"}, {1, 0}}, {{
       Hold[$CellContext`x1$$], {0, 0}}, Automatic}, {{
       Hold[$CellContext`x2$$], {0, 0}}, Automatic}, {{
       Hold[$CellContext`x3$$], {0, 0}}, Automatic}, {{
       Hold[$CellContext`x4$$], {0, 0}}, Automatic}, {{
       Hold[$CellContext`x5$$], {0, 0}}, Automatic}}, Typeset`size$$ = {
    518., {171., 175.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`s$8765$$ = 
    0, $CellContext`t$8766$$ = 0, $CellContext`x$8767$$ = 
    False, $CellContext`y$8768$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`s$$ = 1, $CellContext`t$$ = 
        1, $CellContext`x$$ = 
        0, $CellContext`x1$$ = {0, 0}, $CellContext`x2$$ = {0, 
         0}, $CellContext`x3$$ = {0, 0}, $CellContext`x4$$ = {0, 
         0}, $CellContext`x5$$ = {0, 0}, $CellContext`y$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`s$$, $CellContext`s$8765$$, 0], 
        Hold[$CellContext`t$$, $CellContext`t$8766$$, 0], 
        Hold[$CellContext`x$$, $CellContext`x$8767$$, False], 
        Hold[$CellContext`y$$, $CellContext`y$8768$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], {Green, 
          
          Arrow[{$CellContext`x3$$, $CellContext`t$$ {2, 
              3} + $CellContext`x3$$}]}, {Red, 
          
          Arrow[{$CellContext`x4$$, $CellContext`s$$ {
              2, -2} + $CellContext`x4$$}]}, {Green, 
          Arrow[{$CellContext`x1$$, $CellContext`x1$$ + {2, 3}}]}, {Red, 
          Arrow[{$CellContext`x2$$, {2, -2} + $CellContext`x2$$}]}, {Blue, 
          If[$CellContext`y$$ == 1, 
           
           Arrow[{$CellContext`x5$$, $CellContext`x5$$ + $CellContext`s$$ {
               2, -2} + $CellContext`t$$ {2, 3}}]]}, Black, 
         Text[
          
          Style[$CellContext`t$$ OverVector[$CellContext`b], 
           Large], ($CellContext`t$$ {2, 3}) (1 + 
            0.4/Norm[{2, 3}]) + $CellContext`x3$$], Black, 
         Text[
          
          Style[$CellContext`s$$ OverVector[$CellContext`a], 
           Large], ($CellContext`s$$ {2, -2}) (1 + 
            0.4/Norm[{2, -2}]) + $CellContext`x4$$], Green, 
         Text[
          Style[
           OverVector[$CellContext`b], 
           Large], {2, 3} (1 + 0.4/Norm[{2, 3}]) + $CellContext`x1$$], Red, 
         Text[
          Style[
           OverVector[$CellContext`a], 
           Large], {2, -2} (1 + 0.4/Norm[{2, -2}]) + $CellContext`x2$$], 
         Black, 
         Thickness[0.004], Dotted, 
         If[$CellContext`x$$ == 1, 
          
          Line[{$CellContext`s$$ {
             2, -2}, $CellContext`s$$ {2, -2} + $CellContext`t$$ {2, 3}}]], 
         If[$CellContext`x$$ == 1, 
          
          Line[{$CellContext`t$$ {2, 
             3}, $CellContext`s$$ {2, -2} + $CellContext`t$$ {2, 3}}]], Blue, 
         If[$CellContext`y$$ == 1, 
          Text[
           
           Style[$CellContext`s$$ 
             OverVector[$CellContext`a] + $CellContext`t$$ 
             OverVector[$CellContext`b], 
            Large], $CellContext`x5$$ + ($CellContext`s$$ {
               2, -2} + $CellContext`t$$ {2, 3}) (1 + 
             2/Norm[$CellContext`s$$ {2, -2} + $CellContext`t$$ {2, 3}])]]}, 
        GridLines -> {
          Range[-15, 15, 1], 
          Range[-10, 10, 1]}, GridLinesStyle -> Dotted, 
        PlotRange -> {{-15, 15}, {-10, 10}}, ImageSize -> Large], 
      "Specifications" :> {{{$CellContext`s$$, 1, 
          "s \!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)"}, {0, 
          Rational[1, 2], 1, 
          Rational[3, 2], 2, -1, -2}}, {{$CellContext`t$$, 1, 
          "t \!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\)"}, {0, 
          Rational[1, 2], 1, 
          Rational[3, 2], 2, -1, -2}}, {{$CellContext`x$$, 0, 
          "\:70b9\:7dda"}, {1, 
         0}}, {{$CellContext`y$$, 0, 
          "s \!\(\*OverscriptBox[\(\(\\ \)\(a\)\), \(\[RightVector]\)]\)+t  \
\!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\)"}, {1, 
         0}}, {{$CellContext`x1$$, {0, 0}}, Automatic, ControlType -> 
         Locator}, {{$CellContext`x2$$, {0, 0}}, Automatic, ControlType -> 
         Locator}, {{$CellContext`x3$$, {0, 0}}, Automatic, ControlType -> 
         Locator}, {{$CellContext`x4$$, {0, 0}}, Automatic, ControlType -> 
         Locator}, {{$CellContext`x5$$, {0, 0}}, Automatic, ControlType -> 
         Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{569., {255., 262.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]]
},
WindowSize->{607.38, 2671.6600000000003`},
Visible->True,
AuthoredSize->{607, 2672},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification->0.8999999761581421,
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 105, 1, 45, "Subtitle"],
Cell[1594, 38, 4231, 91, 363, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5862, 134, 117, 1, 45, "Subtitle"],
Cell[5982, 137, 3449, 74, 373, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9468, 216, 165, 2, 77, "Subtitle"],
Cell[9636, 220, 4131, 85, 347, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13804, 310, 129, 1, 45, "Subtitle"],
Cell[13936, 313, 516, 17, 41, "Subsubtitle"],
Cell[14455, 332, 2611, 56, 347, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17103, 393, 117, 1, 45, "Subtitle"],
Cell[17223, 396, 3722, 79, 373, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20982, 480, 155, 2, 45, "Subtitle"],
Cell[21140, 484, 761, 25, 41, "Subsubtitle"],
Cell[21904, 511, 6228, 128, 519, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature NwDX5MVSQ8o88A1N5UIL4Bqk *)
